Feature #32399

Drop support for migrating from Trac or Mantins

Added by Marius BALTEANU over 2 years ago. Updated 3 months ago.

Status:NewStart date:
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:Importers
Target version:-
Resolution:

Description

In the last 3 or 4 years there were no improvements made to the scripts provided by Redmine to migrate from Mantis or Trac to Redmine. During these years, Redmine improved a lot. Also, there are at least 45 open issues related to migration from Trac and 14 related to migration from Mantis.

My proposal is to drop support for those 2 migration scripts.


Related issues

Duplicated by Redmine - Defect #33789: Remove obsolete migration tasks Closed

History

#1 Updated by Dominik Ras over 2 years ago

+1

It's time to move on.

BTW
Any open items can still be at least partially serviced via CSV imports.

#2 Updated by Bernhard Rohloff over 2 years ago

We faced the problem of moving from Mantis to Redmine about two years ago. It was somehow necessary to start from a 2.x release to get the migration finished. After all we decided to start with Redmine from scratch as the import changed the issue IDs due to deleted issues in Mantis. IMHO, it's always better to start from scratch. :-)

+1 to drop support.
We could leave a note in the wiki to describe a migration to an older version and afterwards upgrading to a current one.

#3 Updated by Stuart Auchterlonie over 2 years ago

I have a whole series of patches to make trac import work with latest redmine if anybody is interested....

#4 Updated by Go MAEDA over 1 year ago

  • Duplicated by Defect #33789: Remove obsolete migration tasks added

#5 Updated by Crocodile Rat 3 months ago

Stuart Auchterlonie wrote:

I have a whole series of patches to make trac import work with latest redmine if anybody is interested....

Do you have any for importing from Mantis? Thank you!

Also available in: Atom PDF